/*
 * ImageFilter.java
 *
 * Created on 24  2004 ., 11:40
 */

package com.fn.BikersLog;


import java.io.File;
import javax.swing.filechooser.FileFilter;

/**
 *
 * @author  asso
 */
public class ImageFilter extends FileFilter {

    private final static String jpeg = "jpeg";
    private final static String jpg = "jpg";
    private final static String gif = "gif";
    private final static String tiff = "tiff";
    private final static String tif = "tif";
    private final static String png = "png";

    // Accept all directories and all gif, jpg, or tiff files.
    public boolean accept(File f) {
        if (f.isDirectory())
            return true;

        String extension = Utils.getExtension(f);
        if (extension != null)
            if (extension.equals(tiff) ||
                extension.equals(tif) ||
                extension.equals(gif) ||
                extension.equals(jpeg) ||
                extension.equals(png) ||
                extension.equals(jpg)) {
                    return true;
            } else
                return false;

        return false;
    }

    // The description of this filter
    public String getDescription() {
        return I18n.getMsg("openImage.imageFiles");
    }
}
    
