/*
 * ResourceOuputStream.java
 *
 * Created on 25  2004 ., 12:20
 */

package com.fn.BikersLog;

/**
 *
 * @author  asso
 */
public class ResourceOuputStream extends java.io.ByteArrayOutputStream {
    
    private DataFile dataFile;
    private String name;
    
    /** Creates a new instance of ResourceOuputStream */
    public ResourceOuputStream(DataFile file, String name) {
        dataFile = file;
        this.name = name;
    }
    
    public ResourceOuputStream(DataFile file, String name, int size) {
        super(size);
        dataFile = file;
        this.name = name;
    }
    
    public void close() throws java.io.IOException {
        dataFile.setData(name, toByteArray());
    }
    
}
