/*
 * Metrics.java
 *
 * Created on 28  2003 ., 12:41
 */

package com.fn.BikersLog;


import java.util.ResourceBundle;


/**
 *
 * @author  asso
 */
public class Unit {
    
    private double koof;
    private String shortName;
    private String fullName;
    
    /** Creates a new instance of Metrics */
    public Unit(ResourceBundle bundle, String type) {
        String prefix = "unit." + type + ".";
        koof = Double.parseDouble(bundle.getString(prefix + "mult"));
        shortName = I18n.getMsg(bundle.getString(prefix + "shortName"));
        fullName = I18n.getMsg(bundle.getString(prefix + "fullName"));
    }

    public double getKoof() {
        return koof;
    }

    public String getShortName() {
        return shortName;
    }

    public String getFullName() {
        return fullName;
    }
    
    public double fromStd(double dist) {
        return dist / koof;
    }
    
    public double toStd(double dist) {
        return koof * dist;
    }
}
